
If you don’t have an API key, make sure to upgrade your plan to the API plan in your account billing page.If you’re interested in talking to our team about using the API, please reach out to us at sales@tokenterminal.xyz for assistance.
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Get access to Token Terminal’s data via our API

| Code | Explanation |
|---|---|
| 200 | for success |
| 308 | for redirects when e.g. project_id has been renamed (only when projects make a significant rebranding) |
| 400 | for when query parameters are invalid, see included JSON formatted error message for advice |
| 402 | for when subscription isn’t valid |
| 403 | for invalid access |
| 429 | for too many requests (rate limit: 1000 requests per minute) |
| 500 | if we ever mess up |
curl -X GET "https://api.tokenterminal.com/v2/projects" \
-H "Authorization: Bearer <YOUR_API_KEY>"